Package edu.msu.cme.rdp.multicompare

## Class MCSample

- java.lang.Object
- - edu.msu.cme.rdp.multicompare.MCSample

Direct Known Subclasses:
  `MCSampleResult`

    public class MCSample
    extends java.lang.Object

### Constructor Summary

Constructors
`MCSample​(edu.msu.cme.rdp.readseq.readers.SeqReader reader, java.lang.String name)`
`MCSample​(java.io.File f)`
`MCSample​(java.io.File sampleFile, java.io.File dupCountFile)`
`MCSample​(java.io.File in, java.lang.String sampleName)`
`MCSample​(java.lang.String sampleName)`
`MCSample​(java.lang.String sampleName, java.io.File dupCountFile)`
`MCSample​(java.util.List<ClassifierSequence> sampleSeqs, java.lang.String sampleName)`
`MCSample​(java.util.List<ClassifierSequence> sampleSeqs, java.lang.String sampleName, java.io.File dupCountFile)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `addRankCount​(ClassificationResult result)`
`java.util.Map<java.lang.String,​int[]>` `getBootstrapCountTable()`
`static int` `getBootstrapIndex​(double d)`
`int` `getDupCount​(java.lang.String seqName)`
`ClassifierSequence` `getNextSeq()`
`java.lang.String` `getSampleName()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MCSample

    public MCSample​(edu.msu.cme.rdp.readseq.readers.SeqReader reader,
                    java.lang.String name)

#### MCSample

    public MCSample​(java.io.File f)
             throws java.io.IOException

Throws:
  `java.io.IOException`

#### MCSample

    public MCSample​(java.lang.String sampleName)

#### MCSample

    public MCSample​(java.lang.String sampleName,
                    java.io.File dupCountFile)
             throws java.io.IOException

Throws:
  `java.io.IOException`

#### MCSample

    public MCSample​(java.util.List<ClassifierSequence> sampleSeqs,
                    java.lang.String sampleName)

#### MCSample

    public MCSample​(java.util.List<ClassifierSequence> sampleSeqs,
                    java.lang.String sampleName,
                    java.io.File dupCountFile)
             throws java.io.IOException

Throws:
  `java.io.IOException`

#### MCSample

    public MCSample​(java.io.File in,
                    java.lang.String sampleName)
             throws java.io.IOException

Throws:
  `java.io.IOException`

#### MCSample

    public MCSample​(java.io.File sampleFile,
                    java.io.File dupCountFile)
             throws java.io.IOException

Throws:
  `java.io.IOException`

### Method Detail

#### getSampleName

    public java.lang.String getSampleName()

#### getNextSeq

    public ClassifierSequence getNextSeq()
                                  throws java.io.IOException

Throws:
  `java.io.IOException`

#### getDupCount

    public int getDupCount​(java.lang.String seqName)

#### addRankCount

    public void addRankCount​(ClassificationResult result)

#### getBootstrapIndex

    public static int getBootstrapIndex​(double d)

#### getBootstrapCountTable

    public java.util.Map<java.lang.String,​int[]> getBootstrapCountTable()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`